# Uses of Enum Class
org.apache.sling.api.resource.observation.ResourceChange.ChangeType

Packages that use ResourceChange.ChangeType
Package
Description
org.apache.sling.api.resource.observation
org.apache.sling.spi.resource.provider

## Uses of ResourceChange.ChangeType in org.apache.sling.api.resource.observation

Methods in org.apache.sling.api.resource.observation that return ResourceChange.ChangeType
Modifier and Type
Method
Description
`@NotNull ResourceChange.ChangeType`
ResourceChange.`getType()`
Get the type of change
`static ResourceChange.ChangeType`
ResourceChange.ChangeType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ResourceChange.ChangeType[]`
ResourceChange.ChangeType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sling.api.resource.observation with parameters of type ResourceChange.ChangeType
Modifier
Constructor
Description
``
`ResourceChange(@NotNull ResourceChange.ChangeType changeType, @NotNull String path, boolean isExternal)`
Create a new change object
``
`ResourceChange(@NotNull ResourceChange.ChangeType changeType, @NotNull String path, boolean isExternal, Set<String> addedPropertyNames, Set<String> changedPropertyNames, Set<String> removedPropertyNames)`
Deprecated.
The sets of property names are not supported anymore.

## Uses of ResourceChange.ChangeType in org.apache.sling.spi.resource.provider

Methods in org.apache.sling.spi.resource.provider that return types with arguments of type ResourceChange.ChangeType
Modifier and Type
Method
Description
`@NotNull Set<ResourceChange.ChangeType>`
ObserverConfiguration.`getChangeTypes()`
The set of types listeners are interested in.